Last Comment Bug 632325 - Port |Bug 529938 - Install DirectX SDK on buildbots| to SeaMonkey
: Port |Bug 529938 - Install DirectX SDK on buildbots| to SeaMonkey
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- major (vote)
: seamonkey2.1b3
Assigned To: Justin Wood (:Callek) (Away until Aug 29)
:
Mentors:
Depends on: 529938 639856
Blocks: 632148 642382 660745
  Show dependency treegraph
 
Reported: 2011-02-08 01:14 PST by Serge Gautherie (:sgautherie)
Modified: 2011-06-28 08:30 PDT (History)
7 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
needed


Attachments

Description Serge Gautherie (:sgautherie) 2011-02-08 01:14:01 PST
"Needed" by bug 632148 for example.
Comment 1 Serge Gautherie (:sgautherie) 2011-03-08 06:30:07 PST
https://developer.mozilla.org/en/Windows_Build_Prerequisites
{
Microsoft DirectX SDK

The DirectX SDK is required for building ANGLE, which is used on Windows to enable WebGL on hardware that supports Direct3D only.  ANGLE is an optional component, and is built if the DirectX SDK is available.  Official Firefox builds include ANGLE.  As part of the DirectX SDK install, you must install the End-User Redistributable Packages; don't uncheck it in the installer.

For Visual Studio 2008, 2010, and later, install at least the June 2010 DirectX SDK.  This version does not support Visual Studio 2005.  The latest DirectX SDK can be found from the DirectX Developer Center.

For Visual Studio 2005, you must install the February 2010 DirectX SDK as it is the last version to support VS 2005.  This version does not support Visual Studio 2010.
}
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2011-03-08 08:46:48 PST
Reading the dependant bugs, and this one, I feel we should block on it.

The hard part is that we don't have easy access to the OPSI files, and thus the file they used for the DirectX SDK, installing this manually across our machines will be very very suboptimal.

Commands to get the SDK Installed:
{GET THE SDK SOMEHOW (see Bug 639856)}
mkdir "d:\sdks\dx10"
"d:\mozilla-build\7zip\7z.exe" x .\DXSDK_Feb10.exe -aoa -o"$InstallDir$" DXSDK\Lib DXSDK\Include DXSDK\Redist
move "$InstallDir$\DXSDK\Lib" "$InstallDir$"
move "$InstallDir$\DXSDK\Include" "$InstallDir$"
move "$InstallDir$\DXSDK\Redist" "$InstallDir$"
rmdir /s /q "$InstallDir$\DXSDK"


And then I need to manually change the registry:
+[Registry_install_dxsdk]
+openkey [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DirectX]
+set "InstallMDX" = REG_DWORD:00000001
+set "SDKVersion" = "9.28.1886.0"
+
+openkey [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DirectX\Microsoft DirectX SDK (February 2010)]
+set "ProductName" = "Microsoft DirectX SDK (February 2010)"
+set "InstalledVersion" = "9,28,1886,0"
+set "InstallPath" = "$InstallDir$"
+set "InstallType" = "DXSDK"
+set "LastInstallDate" = REG_BINARY:f0,ba,e8,2f,b4,6a,cb,01
+set "InstalledFeatures"= REG_DWORD:00000060


Lastly needs to be set up to our paths, similar to https://bugzilla.mozilla.org/attachment.cgi?id=496227&action=diff
Comment 3 Justin Wood (:Callek) (Away until Aug 29) 2011-03-16 22:49:01 PDT
Note I am(was) unsure on what REG_DWORD's base was. per http://download.uib.de/opsi3.4/doku/opsi-winst-reference-card.pdf it appears to be Decimal. If someone from releng can verify this I'd appreciate it (use InstalledFeatures to check)

Steps Performed (from user seabld):

* scp stage-old.mozilla.org:packages/DXSDK_Feb10.exe ./
* mkdir "d:\sdks\dx10"
* "d:\mozilla-build\7zip\7z.exe" x ./DXSDK_Feb10.exe -aoa -o"d:\sdks\dx10" DXSDK/Lib DXSDK/Include DXSDK/Redist
* mv "d:\sdks\dx10\DXSDK\Lib" "d:\sdks\dx10"
* mv "d:\sdks\dx10\DXSDK\Include" "d:\sdks\dx10"
* mv "d:\sdks\dx10\DXSDK\Redist" "d:\sdks\dx10"
* rmdir "d:\sdks\dx10\DXSDK"

Done on: cb-seamonkey-win32-{01,02}

[regedit] Registry changes (as user Administrator):
* openkey [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DirectX]
* set "InstallMDX" = REG_DWORD:00000001 (Decimal)
* set "SDKVersion" = "9.28.1886.0"

* openkey [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DirectX\Microsoft DirectX SDK
(February 2010)]
* set "ProductName" = "Microsoft DirectX SDK (February 2010)"
* set "InstalledVersion" = "9,28,1886,0"
* set "InstallPath" = "d:\sdks\dx10"
* set "InstallType" = "DXSDK"
* set "LastInstallDate" = REG_BINARY:f0,ba,e8,2f,b4,6a,cb,01
* set "InstalledFeatures"= REG_DWORD:00000060

Done on cb-seamonkey-win32-{01,02}

* Updated D:\mozilla-build\start-buildbot.bat to match http://hg.mozilla.org/build/opsi-package-sources/file/ebd7fd619599/buildbot-startup/CLIENT_DATA/start-buildbot.bat
* Added file D:\mozilla-build\start-buildbot.sh to match http://hg.mozilla.org/build/opsi-package-sources/file/ebd7fd619599/buildbot-startup/CLIENT_DATA/start-buildbot.sh
* Created C:\tmp for use by the buildbot-scripts I just updated here for log writing.
[this steps were to get DirectX found in the path, and were low-hanging fruit for the other benefits they bring]

Done on cb-seamonkey-win32-{01,02}

Doing more shortly.
Comment 4 Justin Wood (:Callek) (Away until Aug 29) 2011-03-16 23:48:56 PDT
(p.s. I restarted those boxes when done)

Added to list:
* delete DXSDK_Feb10.exe slave-side when done.

Did that on the above 2 boxes (done in c#3)

done all steps so far on cb-seamonkey-win32-03 and cb-sea-win32-tbox

After restarting -03 and trying to go back in to verify in the logs there that buildbot started up, I found and filed Bug 642382

Have one box left, but not doing that one tonight: cn-sea-qm-win2k3-01
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2011-03-16 23:50:45 PDT
When that last box is done, will use clobberer to clobber all windows builds, so that I can be sure configure gets rerun to pickup this change.
Comment 6 Justin Wood (:Callek) (Away until Aug 29) 2011-03-17 22:57:22 PDT
Done: cn-sea-qm-win2k3-01
Comment 7 Serge Gautherie (:sgautherie) 2011-03-19 06:00:11 PDT
(In reply to comment #5)
> will use clobberer to clobber all windows builds,
> so that I can be sure configure gets rerun to pickup this change.

According to SM Clobberer UI, this hasn't been done yet. What's the status?
Comment 8 Justin Wood (:Callek) (Away until Aug 29) 2011-03-19 11:31:10 PDT
(In reply to comment #7)
> (In reply to comment #5)
> > will use clobberer to clobber all windows builds,
> > so that I can be sure configure gets rerun to pickup this change.
> 
> According to SM Clobberer UI, this hasn't been done yet. What's the status?

Waited on 632148 to land actually [when I wrote that I forgot it did not land yet]

We can clobber any moment (I'm not clobbering yet, but feel free to do it for me, only clobber win builders comm-2.0 and comm-central-trunk)
Comment 9 Serge Gautherie (:sgautherie) 2011-03-21 21:05:13 PDT
I checked one of each 2.1/trunk nightly/opt/dbg zip,
and they all include the 2+2 DLLs from bug 632148.
No clobber should be needed after all.

V.Fixed
Comment 10 H. Hofer 2011-06-28 05:09:26 PDT
Is this problem showing up again for trunk (2.4a)?
Comment 11 Serge Gautherie (:sgautherie) 2011-06-28 08:30:50 PDT
(In reply to comment #10)
> Is this problem showing up again for trunk (2.4a)?

Bug 660745, I assume.

Note You need to log in before you can comment on or make changes to this bug.